﻿<UserControl x:Class="Onzeeur.PageAccueil"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:Onzeeur"
             xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">

    <Grid Width="auto" Height="auto">
        <Grid.Background>
            <SolidColorBrush Color="#121216"/>
        </Grid.Background>

        <Grid.RowDefinitions>
            <RowDefinition Height="7*"/>
            <RowDefinition Height="1*"/>
        </Grid.RowDefinitions>


        <Grid Grid.Row="0" >
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="175"/>
                <ColumnDefinition/>
            </Grid.ColumnDefinitions>

            <Grid Grid.Column="0" >
                <Grid.RowDefinitions>
                    <RowDefinition Height="2*" MinHeight="100"/>
                    <RowDefinition Height="1*"/>
                    <RowDefinition Height="1*"/>
                    <RowDefinition Height="1*"/>
                    <RowDefinition Height="1*"/>
                    <RowDefinition Height="1*"/>
                    <RowDefinition Height="1*"/>
                    <RowDefinition Height="1*"/>
                    <RowDefinition Height="1*"/>
                </Grid.RowDefinitions>

                <Rectangle Grid.RowSpan="10" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" Stroke="Black" >
                    <Rectangle.Fill>
                        <SolidColorBrush Color="#191922"/>
                    </Rectangle.Fill>
                    <Rectangle.Effect>
                        <DropShadowEffect BlurRadius="10" ShadowDepth="1"/>
                    </Rectangle.Effect>
                </Rectangle>

                <Grid Grid.Row="0" >
                    <Image Source="{Binding LogoApp}" Height="100"/>
                </Grid>

                <Grid Grid.Row="2">
                    <Button
                        BorderBrush="Transparent"
                        Style="{StaticResource MaterialDesignOutlinedButton}"
                        Click="BtnMenuMusique"
                        ToolTip="MaterialDesignFlatButton">
                        MUSIQUE
                    </Button>
                </Grid>

                <Grid Grid.Row="3">
                    <Button
                        BorderBrush="Transparent"
                        Style="{StaticResource MaterialDesignOutlinedButton}"
                        Click="BtnMenuDecouvrir"
                        ToolTip="MaterialDesignFlatButton">
                        DÉCOUVRIR
                    </Button>
                </Grid>

                <Grid Grid.Row="4">
                    <Button
                        BorderBrush="Transparent"
                        Style="{StaticResource MaterialDesignOutlinedButton}"
                        materialDesign:BottomDashedLineAdorner.Brush="Cyan"
                        Click="BtnMenuBibliotheque">
                        BIBLIOTHÈQUE
                    </Button>
                </Grid>
            </Grid>

            <Grid Grid.Column="1" >
                <Grid.RowDefinitions>
                    <RowDefinition Height="1*"/>
                    <RowDefinition Height="7*"/>
                </Grid.RowDefinitions>


                <Grid Grid.Row="0" Grid.ColumnSpan="2" >
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="10*"/>
                        <ColumnDefinition Width="3*"/>
                    </Grid.ColumnDefinitions>


                    <Rectangle Grid.ColumnSpan="3" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" Stroke="Black" MinWidth="3">
                        <Rectangle.Effect>
                            <DropShadowEffect BlurRadius="10" ShadowDepth="1"/>
                        </Rectangle.Effect>
                    </Rectangle>

                    <TextBox x:Name="SearchBar" Grid.Column="0" 
                      BorderThickness="0"
                      materialDesign:HintAssist.Hint=" Rechercher"
                      FontFamily="ROBOTO"
                      Foreground="White"
                      BorderBrush="Transparent"
                      FontSize="16"
                      materialDesign:TextFieldAssist.HasClearButton="True"
                      Style="{StaticResource MaterialDesignFloatingHintTextBox}"
                      materialDesign:TextFieldAssist.DecorationVisibility="Hidden"
                      VerticalAlignment="Center" TextChanged="SearchBar_TextChanged_1" />

                    <Grid Grid.Column="1">
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition/>
                            <ColumnDefinition/>
                            <ColumnDefinition/>
                        </Grid.ColumnDefinitions>

                        <Grid Grid.Column="2">
                            <Grid.RowDefinitions>
                                <RowDefinition />
                                <RowDefinition Height="3*"/>
                                <RowDefinition />
                            </Grid.RowDefinitions>

                            <Button Grid.Row="1" HorizontalAlignment="Left" Width="auto" Height="29" MaxHeight="45" MaxWidth="45"
                                Style="{StaticResource MaterialDesignIconButton}" Click="Click_Deconnexion" VerticalAlignment="Top">
                                <materialDesign:PackIcon Kind="Account" Height="auto" Width="auto" MaxHeight="40" MaxWidth="40"/>
                            </Button>
                        </Grid>

                    </Grid>

                </Grid>
                <ScrollViewer x:Name="SvMain" CanContentScroll="True" Background="Transparent" Grid.Row="1" >
                    <Grid Grid.Row="1">
                        <Grid.RowDefinitions>
                            <RowDefinition Height="1*"/>
                            <RowDefinition Height="10*"/>
                        </Grid.RowDefinitions>

                        <ItemsControl Grid.Row="1" x:Name="ListMenu" >
                            <ItemsControl.ItemContainerStyle>
                                <Style>
                                    <Setter Property="FrameworkElement.Margin" Value="20"/>
                                    <Setter Property="FrameworkElement.Height" Value="300"/>
                                </Style>
                            </ItemsControl.ItemContainerStyle>
                            <ItemsControl.ItemsPanel>
                                <ItemsPanelTemplate>
                                    <StackPanel OverridesDefaultStyle="True" Orientation="Vertical"/>
                                </ItemsPanelTemplate>
                            </ItemsControl.ItemsPanel>
                        </ItemsControl>
                    </Grid>
                </ScrollViewer>
            </Grid>

        </Grid>

        <Grid Grid.Row="1" >
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="1*"/>
                <ColumnDefinition Width="1*"/>
                <ColumnDefinition Width="1*"/>
                <ColumnDefinition Width="2*"/>
                <ColumnDefinition Width="10*"/>
                <ColumnDefinition Width="0*"/>
                <ColumnDefinition Width="1*"/>
                <ColumnDefinition Width="1*"/>
                <ColumnDefinition Width="1*"/>
                <ColumnDefinition Width="2*"/>
                <ColumnDefinition Width="0.2*"/>
            </Grid.ColumnDefinitions>

            <Rectangle Grid.ColumnSpan="20" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" Stroke="Black" >
                <Rectangle.Fill>
                    <SolidColorBrush Color="#191922"/>
                </Rectangle.Fill>
                <Rectangle.Effect>
                    <DropShadowEffect BlurRadius="10" ShadowDepth="1"/>
                </Rectangle.Effect>

            </Rectangle>

            <Grid Grid.Column="0">
                <Button
                        HorizontalAlignment="Center"
                        BorderBrush="Transparent"
                        Style="{StaticResource MaterialDesignIconForegroundButton}"
                        Click="Click_BtnPrevious">
                    <materialDesign:PackIcon Kind="SkipPrevious" Foreground="White" />
                </Button>
            </Grid>

            <Grid Grid.Column="1">
                <Button x:Name="btnPlay" HorizontalAlignment="Center"
                        BorderBrush="Transparent"
                        Style="{StaticResource MaterialDesignIconForegroundButton}"
                        Click="Click_BtnPlay">
                    <materialDesign:PackIcon x:Name="btnPlayIco" Kind="Play" Foreground="White" />
                </Button>
            </Grid>

            <Grid Grid.Column="2">
                <Button x:Name="BtnNext"
                        HorizontalAlignment="Center"
                        BorderBrush="Transparent"
                        Style="{StaticResource MaterialDesignIconForegroundButton}"
                        Click="Click_BtnNext">
                    <materialDesign:PackIcon Kind="SkipNext" Foreground="White" />
                </Button>
            </Grid>

            <Grid Grid.Column="4">
                <Grid.RowDefinitions>
                    <RowDefinition Height="0.5*"/>
                    <RowDefinition Height="auto"/>
                    <RowDefinition Height="2*"/>
                    <RowDefinition Height="1.5*"/>
                </Grid.RowDefinitions>

                <Grid Grid.Row="1">
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="auto"/>
                        <ColumnDefinition Width="auto"/>
                        <ColumnDefinition Width="auto"/>
                        <ColumnDefinition Width="15*"/>
                    </Grid.ColumnDefinitions>
                    <TextBlock Grid.Column="0" x:Name="NomMusique" Foreground="White" Text="{Binding NameMusic, FallbackValue=NomMusique}" VerticalAlignment="Top"/>
                    <TextBlock Grid.Column="1" Margin="5 0 0 0" x:Name="Seperation" Foreground="White" Text="" VerticalAlignment="Center"/>
                    <TextBlock Grid.Column="2" x:Name="NomArtiste" Margin="5 0 0 0" Foreground="White" Text="{Binding NameArtist, FallbackValue=NomArtiste}" VerticalAlignment="top"/>

                </Grid>

                <Grid Grid.Row="2">
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="1*"/>
                        <ColumnDefinition Width="0.350*"/>
                        <ColumnDefinition Width="10*"/>
                        <ColumnDefinition Width="0.350*"/>
                        <ColumnDefinition Width="1*"/>
                    </Grid.ColumnDefinitions>

                    <Grid Grid.Column="0">
                        <TextBlock x:Name="Progression" VerticalAlignment="Center" Foreground="White" Text="{Binding TimeActual, FallbackValue= 00:00}"/>
                    </Grid>

                    <Grid Grid.Column="2">

                        <Slider x:Name="progressBar" ValueChanged="ProgressBar_ValueChanged"
                            Value="0"
                            Height="20"/>
                    </Grid>

                    <Grid Grid.Column="4">
                        <TextBlock x:Name="Duration" VerticalAlignment="Center" Foreground="White" Text="{Binding TimeEnd, FallbackValue= 00:00}"/>
                    </Grid>
                </Grid>
            </Grid>

            <Grid Grid.Column="6">
                <Button
                        HorizontalAlignment="Right"
                        BorderBrush="Transparent"
                        Style="{StaticResource MaterialDesignIconForegroundButton}"
                        Click="Click_BtnLoop">
                    <materialDesign:PackIcon x:Name="BtnLoopIco"  Kind="RepeatOff" Foreground="White" />
                </Button>
            </Grid>

            <Grid Grid.Column="7">
                <!--<Button
                        BorderBrush="Transparent"
                        Style="{StaticResource MaterialDesignIconForegroundButton}"
                        Click="Click_BtnPlay"
                        ToolTip="MaterialDesignFlatButton">
                    <materialDesign:PackIcon Kind="ShuffleVariant" Foreground="White" />
                </Button>-->
            </Grid>


            <Grid Grid.Column="8">
                <Button x:Name="btn_Sound"
                        BorderBrush="Transparent"
                        Style="{StaticResource MaterialDesignIconForegroundButton}"
                        Click="Click_BtnMute"
                        ToolTip="MaterialDesignFlatButton">
                    <materialDesign:PackIcon x:Name="btn_SoundIco" Kind="VolumeHigh" Foreground="White" />
                </Button>
            </Grid>

            <Grid Grid.Column="9">
                <Slider x:Name="VolumeSlider" Margin="2,0,2,0" VerticalAlignment="Center"
                    TickFrequency="10"
                    Orientation="Horizontal"
                    Minimum="0"
                    Maximum="100"
                    Value="50" ValueChanged="Slider_ValueChanged" />
            </Grid>



        </Grid>

    </Grid>

</UserControl>
